Bug 1477477 - [Pegas] Got data corruption when DT I/O stress due to failover failed on scsi_debug
[Pegas] Got data corruption when DT I/O stress due to failover failed on scsi...
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: device-mapper-multipath (Show other bugs)
7.4-Alt
All Linux
high Severity high
: rc
: ---
Assigned To: LVM and device-mapper development team
Lin Li
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-02 04:09 EDT by Lin Li
Modified: 2017-08-03 02:37 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lin Li 2017-08-02 04:09:38 EDT
Description of problem:
[Pegas] Got data corruption when DT I/O stress due to failover failed on scsi_debug 

Version-Release number of selected component (if applicable):
 RHEL-ALT-7.4-20170725.1 Server ppc64le/aarch64/x86_64

How reproducible:
always

Steps to Reproduce:
1. install  RHEL-ALT-7.4-20170725.1
2. run multipath case /kernel/storage/multipath/failover_on_scsi_debug
3. beaker job:
   https://beaker.engineering.redhat.com/jobs/1983432
   https://beaker.engineering.redhat.com/jobs/1983420
   https://beaker.engineering.redhat.com/jobs/1975883

Actual results:
[2017-08-01 07:25:35]INFO: all the paths of mpatha are online after performing sdb sysfs failover
[2017-08-01 07:25:35]FAIL: DT I/O stress FAIL when failover at sdb for sysfs.
[2017-08-01 07:25:35]INFO: Got data corruption when DT I/O stress. Dumping DT log
dt (18277): 'write', errno = 5 - Input/output error
dt (18277): Relative block number where the error occurred is 1310756, position 671107072

dt (18278): 'write', errno = 5 - Input/output error
dt (18278): Relative block number where the error occurred is 1441828, position 738215936
dt (18279): 'write', errno = 5 - Input/output error

dt (18279): Relative block number where the error occurred is 1572900, position 805324800

dt (18280): 'write', errno = 5 - Input/output error
dt (18280): Relative block number where the error occurred is 1703972, position 872433664

dt (18277): Error number 1 occurred on Tue Aug  1 06:22:06 2017
dt (18277): Elapsed time since beginning of pass: 00m01.60s
dt (18277): Elapsed time since beginning of test: 00m01.dt (18278): Error number 1 occurred on Tue Aug  1 06:22:06 2017
60s
dt (18278): Elapsed time since beginning of pass: dt (18279): Error number 1 occurred on Tue Aug  1 06:22:06 2017
00m01.dt (18279): Elapsed time since beginning of pass: 61s
00mdt (18278): Elapsed time since beginning of test: 01.00m61s
01.dt (18279): Elapsed time since beginning of test: 61s
00mdt (18280): Error number 1 occurred on Tue Aug  1 06:22:06 2017
01.dt (18280): Elapsed time since beginning of pass: dt (18277): 'fsync', errno = 5 - Input/output error
61s
00m01.61s
dt (18277): Error number 2 occurred on Tue Aug  1 06:22:06 2017
dt (18280): Elapsed time since beginning of test: 00m01.61s
dt (18281): 'write', errno = 5 - Input/output error
dt (18281): Relative block number where the error occurred is 1835044, position 939542528

dt (18272): 'write', errno = 5 - Input/output error
dt (18272): Relative block number where the error occurred is 655396, position 335562752

dt (18270): 'write', errno = 5 - Input/output error
dt (18270): Relative block number where the error occurred is 393252, position 201345024

Expected results:
pass

Additional info:
console log:
http://beaker-archive.app.eng.bos.redhat.com/beaker-logs/2017/08/19834/1983432/4112733/59208040/TESTOUT.log

Note You need to log in before you can comment on or make changes to this bug.